/*
 * sdl_local.h - SDL-specific headers
 *
 * Copyright (C) 1999-2005  Id Software, Inc.
 * Copyright (C) 2005       Damien Thebault <damien.thebault@laposte.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "SDL.h"

void Sys_QueEvent( int time, sysEventType_t type, int value, int value2, int ptrLength, void *ptr );
qboolean Sys_GetPacket ( netadr_t *net_from, msg_t *net_message );
void Sys_SendKeyEvents (void);

// Input subsystem
void IN_Init (void);
void IN_Frame (void);
void IN_Shutdown (void);

// Joystick
void IN_StartupJoystick( void );
void IN_JoyEvent( SDL_Event jevent );
void IN_ShutdownJoystick( void );

// GL subsystem
qboolean QGL_Init( const char *dllname );
void QGL_EnableLogging( qboolean enable );
void QGL_Shutdown( void );

char *strlwr (char *s);

// signals.c
void InitSig(void);

// Image parsing
void R_LoadImage( const char *name, byte **pic, int *width, int *height );
